Api for available_clusters on vmware does not return expected value.
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1206243

Description of problem:

I have a VMware cluster with the following setup

Datacentername = nyc

Clustername = nyccluster

I have 2 hosts in the cluster and I am able to provision to it via sat6.

When I try to query the vmware cluster information via api

https://sat6.local.domb.com/api/v2/compute_resources/4/available_clusters

I get back

{

"total": 4,

"subtotal": 4,

"page": 1,

"per_page": 20,

"search": null,

"sort": {

"by": null,

"order": null

},

"results": [{}]

}

This only happens with vmware. If I choose rhev it works

https://sat6.local.domb.com/api/v2/compute_resources/3/available_clusters

{

"total": 4,

"subtotal": 4,

"page": 1,

"per_page": 20,

"search": null,

"sort": {

"by": null,

"order": null

},

"results": [{"name":"Default","id":"00000001-0001-0001-0001-00000000034c"}]

}

Version-Release number of selected component (if applicable): 6.0.8

05/21/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1206243
https://sat6.local.domb.com/api/v2/compute_resources/4/available_clusters
https://sat6.local.domb.com/api/v2/compute_resources/3/available_clusters


How reproducible:

Steps to Reproduce:

1. You need to have a vmware cluster :-)

2. Query the api of sat6

https://SAT6SERVER/api/v2/compute_resources/3/available_clusters

Actual results:

results hash is empty

Expected results:

results hash should contain vmware cluster

Additional info:

History

#1 - 03/26/2015 12:32 PM - Dominic Cleal

- Category set to Compute resources - VMware

- Status changed from New to Need more information

Does the UI list available clusters when creating a host?

Please re-test on a newer release (1.8 or 1.9), this is very old code (1.5).

#2 - 03/26/2015 12:43 PM - Laurent Domb

- File vmwarecluster.png added

Yes it does. Provisioning is not affected in any way. Its just the api call which somehow does not return the expected results hash

#3 - 02/29/2016 08:25 AM - Tomer Brisker

- Status changed from Need more information to Duplicate

This was already fixed in #11345.
